package com.prolog.cs.biz.inbound.service.rqc;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rqc.RqcStDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-04-02 
 */

public interface RqcStService {

	/**
 	* @Description   
 	* @Date 2021-04-02 
 	* add RqcStDTO 
 	*/
	public Object add(RqcStDTO rqcStDTO);

	/**
 	* @Description  
 	* @Date 2021-04-02 
 	* edit RqcStDTO 
 	*/
	public Object edit(String pkId,RqcStDTO rqcStDTO);

	/**
 	* @Description  
 	* @Date 2021-04-02 
 	* delete RqcStDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-04-02 
 	* delete RqcStDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-04-02 
 	* page condition search RqcStDTO 
 	*/
	public Page<RqcStDTO> findList(RqcStDTO rqcStDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-04-02 
 	* batchAdd RqcStDTO 
 	*/
	public Object batchAdd(List<RqcStDTO> rqcStDTOList);

	/**
 	* @Description  
 	* @Date 2021-04-02 
 	* batchEdit RqcStDTO 
 	*/
	public Object batchEdit(List<RqcStDTO> rqcStDTOList);

	/**
 	* @Description  
 	* @Date 2021-04-02 
 	* condition search all RqcStDTO 
 	*/
	public List<RqcStDTO> findAll(RqcStDTO rqcStDTO);

	/**
 	* @Description  
 	* @Date 2021-04-02 
 	* findOne RqcStDTO 
 	*/
	public RqcStDTO findByPkId(String pkId);
}
